## startdde 5.8.9

=== Makefile ===
PREFIX = /usr
GOPATH_DIR = gopath
GOPKG_PREFIX = pkg.deepin.io/dde/startdde
GOBUILD = go build -v $(GO_BUILD_FLAGS)
export GO111MODULE=off

all: build

prepare:
	@if [ ! -d ${GOPATH_DIR}/src/${GOPKG_PREFIX} ]; then \
		mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}); \
		ln -sf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX}; \
		fi

auto_launch_json:
ifdef AUTO_LAUNCH_CHINESE
	cp misc/auto_launch/chinese.json misc/config/auto_launch.json
else
	cp misc/auto_launch/default.json misc/config/auto_launch.json
endif
	# check validity
	jq . misc/config/auto_launch.json >/dev/null

startdde:
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o startdde

fix-xauthority-perm:
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o fix-xauthority-perm ${GOPKG_PREFIX}/cmd/fix-xauthority-perm

greeter-display-daemon:
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o greeter-display-daemon ${GOPKG_PREFIX}/cmd/greeter-display-daemon

build: prepare startdde auto_launch_json fix-xauthority-perm greeter-display-daemon

test: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ./...

test-coverage: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -cover -v ./... | awk '$$1 ~ "(ok|\\?)" {print $$2","$$5}' | sed "s:${CURDIR}::g" | sed 's/files\]/0\.0%/g' > coverage.csv

print_gopath: prepare
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

install:
	install -Dm755 startdde ${DESTDIR}${PREFIX}/bin/startdde
	mkdir -p ${DESTDIR}${PREFIX}/share/xsessions
	@for i in $(shell ls misc/xsessions/ | grep -E '*.in$$' );do sed 's|@PREFIX@|$(PREFIX)|g' misc/xsessions/$$i > ${DESTDIR}${PREFIX}/share/xsessions/$${i%.in}; done
	install -Dm755 fix-xauthority-perm ${DESTDIR}${PREFIX}/sbin/deepin-fix-xauthority-perm
	install -Dm755 greeter-display-daemon ${DESTDIR}${PREFIX}/lib/deepin-daemon/greeter-display-daemon
	install -Dm644 misc/lightdm.conf ${DESTDIR}${PREFIX}/share/lightdm/lightdm.conf.d/60-deepin.conf
	mkdir -p ${DESTDIR}${PREFIX}/share/startdde/
	install -v -m0644 misc/config/* ${DESTDIR}${PREFIX}/share/startdde/
	install -v -m0644 misc/app_startup.conf ${DESTDIR}${PREFIX}/share/startdde/
	install -v -m0644 misc/filter.conf ${DESTDIR}${PREFIX}/share/startdde/
	mkdir -p ${DESTDIR}/etc/X11/Xsession.d/
	install -v -m0644 misc/Xsession.d/* ${DESTDIR}/etc/X11/Xsession.d/
	mkdir -p ${DESTDIR}/etc/profile.d/
	install -v -m0644 misc/profile.d/* ${DESTDIR}/etc/profile.d/
	mkdir -p $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
	install -v -m0644 misc/schemas/*.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/

clean:
	rm -rf ${GOPATH_DIR}
	rm -f startdde
	rm -f fix-xauthority-perm
	rm -f greeter-display-daemon

rebuild: clean build

check_code_quality: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go vet ./...

.PHONY: startdde

=== debian/changelog ===
startdde (5.8.9-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Apr 2021 15:28:10 +0800

startdde (3.0.7-1) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 12 Aug 2016 18:39:37 +0000

startdde (3.0.6-1) stable; urgency=low

  * Autobuild Tag 3.0.6 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 22 Jul 2016 07:48:25 +0000

startdde (3.0.5-2) stable; urgency=low

  * Rebuild Version 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 11:37:03 +0000

startdde (3.0.5-1) stable; urgency=low

  * Autobuild Tag 3.0.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 23 May 2016 10:07:24 +0000

startdde (3.0.3-3) stable; urgency=low

  * Rebuild Version 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 16:15:54 +0000

startdde (3.0.3-2) stable; urgency=low

  * Rebuild Version 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 25 Jan 2016 17:50:20 +0000

startdde (3.0.3-1) stable; urgency=low

  * Autobuild Tag 3.0.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 22 Jan 2016 19:31:59 +0000

startdde (3.0.2-2) stable; urgency=low

  * Rebuild Version 3.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 20:20:22 +0000

startdde (3.0.2-1) stable; urgency=low

  * Autobuild Tag 3.0.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 12 Jan 2016 18:00:40 +0000

startdde (3.0.1-1) stable; urgency=low

  * Autobuild Tag 3.0.1 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Dec 2015 20:49:17 +0000

startdde (3.0.0-1) stable; urgency=low

  * Autobuild Tag 3.0.0 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 20:35:37 +0000

startdde (2.92.3-2) stable; urgency=low

  * Rebuild Version 2.92.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sun, 20 Dec 2015 12:29:49 +0000

startdde (2.92.3-1) stable; urgency=low

  * Autobuild Tag 2.92.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Sat, 19 Dec 2015 15:58:30 +0000

startdde (2.92.2-1) stable; urgency=low

  * Autobuild Tag 2.92.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 21:53:28 +0000

startdde (2.92.1-3) stable; urgency=low

  * Rebuild Version 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 07:24:32 +0000

startdde (2.92.1-2) stable; urgency=low

  * Rebuild Version 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Mon, 23 Nov 2015 10:22:23 +0000

startdde (2.92.1-1) stable; urgency=low

  * Autobuild Tag 2.92.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 20 Nov 2015 09:49:43 +0000

startdde (2.91.0-1) stable; urgency=low

  * Autobuild Tag 2.91.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 06 Aug 2015 09:38:28 +0000

startdde (2.90.0-1) stable; urgency=low

  * Autobuild Tag 2.90.0-1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 01 Jul 2015 13:32:44 +0000

startdde (0.0.0) unstable; urgency=medium

  * Unstable release.

 -- 宋文武 <songwenwu@linuxdeepin.com>  Thu, 04 Dec 2014 16:21:16 +0800

=== debian/control ===
Source: startdde
Section: x11
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 dde-api-dev(>> 3.16.0+),
 debhelper-compat (= 11),
 golang-dlib-dev (>> 1.8.0+),
 golang-github-davecgh-go-spew-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-linuxdeepin-go-dbus-factory-dev (>> 0.6.0+),
 golang-github-linuxdeepin-go-x11-client-dev (>= 0.0.4),
 golang-github-stretchr-testify-dev,
 golang-go,
 golang-golang-x-xerrors-dev,
 golang-gopkg-check.v1-dev,
 jq,
 libxcursor-dev,
 libxfixes-dev,
 libxi-dev,
 pkg-config,
Standards-Version: 4.5.1
Homepage: http://github.com/linuxdeepin/startdde

Package: startdde
Architecture: any
Provides:
 x-session-manager,
Depends:
 dde-api,
 dde-daemon (>> 3.24.1+),
 deepin-desktop-schemas (>> 5.2.0+),
 deepin-turbo,
 deepin-turbo-booster,
 deepin-wm | deepin-metacity | dde-kwin,
 gnome-keyring,
 gvfs-bin,
 libpam-gnome-keyring,
 procps,
 xinput,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 dde-qt5integration,
Conflicts:
 deepin-session,
 deepin-wm-switcher,
Breaks:
 deepin-desktop-schemas(<= 5.8.44),
Description: start deepin desktop environment
 starter of deepin desktop environment.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export GOPATH := /usr/share/gocode
ifeq ($(DEB_BUILD_ARCH),sw_64)
	export AUTO_LAUNCH_CHINESE=1
endif

ifeq ($(DEB_BUILD_ARCH),mips64el)
	export AUTO_LAUNCH_CHINESE=1
endif

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

ifeq ($(DEB_BUILD_ARCH),sw_64)
override_dh_strip:
	true
override_dh_auto_test:
	true
endif

## startdde 5.9.15.1

=== Makefile ===
--- 
+++ 
@@ -1,16 +1,17 @@
 PREFIX = /usr
 GOPATH_DIR = gopath
-GOPKG_PREFIX = pkg.deepin.io/dde/startdde
+GOPKG_PREFIX = github.com/linuxdeepin/startdde
 GOBUILD = go build -v $(GO_BUILD_FLAGS)
 export GO111MODULE=off
+export GOPATH= $(shell go env GOPATH)
+
+LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))
 
 all: build
 
 prepare:
-	@if [ ! -d ${GOPATH_DIR}/src/${GOPKG_PREFIX} ]; then \
-		mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX}); \
-		ln -sf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX}; \
-		fi
+	@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
+	@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};
 
 auto_launch_json:
 ifdef AUTO_LAUNCH_CHINESE
@@ -27,10 +28,16 @@
 fix-xauthority-perm:
 	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o fix-xauthority-perm ${GOPKG_PREFIX}/cmd/fix-xauthority-perm
 
-greeter-display-daemon:
-	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o greeter-display-daemon ${GOPKG_PREFIX}/cmd/greeter-display-daemon
+out/locale/%/LC_MESSAGES/startdde.mo: misc/po/%.po
+	mkdir -p $(@D)
+	msgfmt -o $@ $<
 
-build: prepare startdde auto_launch_json fix-xauthority-perm greeter-display-daemon
+translate: $(addsuffix /LC_MESSAGES/startdde.mo, $(addprefix out/locale/, ${LANGUAGES}))
+
+pot:
+	deepin-update-pot misc/po/locale_config.ini
+
+build: prepare startdde auto_launch_json fix-xauthority-perm translate
 
 test: prepare
 	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ./...
@@ -46,7 +53,8 @@
 	mkdir -p ${DESTDIR}${PREFIX}/share/xsessions
 	@for i in $(shell ls misc/xsessions/ | grep -E '*.in$$' );do sed 's|@PREFIX@|$(PREFIX)|g' misc/xsessions/$$i > ${DESTDIR}${PREFIX}/share/xsessions/$${i%.in}; done
 	install -Dm755 fix-xauthority-perm ${DESTDIR}${PREFIX}/sbin/deepin-fix-xauthority-perm
-	install -Dm755 greeter-display-daemon ${DESTDIR}${PREFIX}/lib/deepin-daemon/greeter-display-daemon
+	install -d -m755 ${DESTDIR}${PREFIX}/lib/deepin-daemon/
+	ln -sfv ../../bin/startdde ${DESTDIR}${PREFIX}/lib/deepin-daemon/greeter-display-daemon
 	install -Dm644 misc/lightdm.conf ${DESTDIR}${PREFIX}/share/lightdm/lightdm.conf.d/60-deepin.conf
 	mkdir -p ${DESTDIR}${PREFIX}/share/startdde/
 	install -v -m0644 misc/config/* ${DESTDIR}${PREFIX}/share/startdde/
@@ -59,11 +67,14 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
 	install -v -m0644 misc/schemas/*.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/
 
+	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
+	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale
+
+
 clean:
 	rm -rf ${GOPATH_DIR}
 	rm -f startdde
 	rm -f fix-xauthority-perm
-	rm -f greeter-display-daemon
 
 rebuild: clean build

=== debian/changelog ===
startdde (5.9.15.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Mar 2022 15:47:29 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 export GOPATH := /usr/share/gocode
+export GOCACHE=/tmp/gocache
 ifeq ($(DEB_BUILD_ARCH),sw_64)
 	export AUTO_LAUNCH_CHINESE=1
 endif

## startdde 5.9.32

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,10 @@
 	jq . misc/config/auto_launch.json >/dev/null
 
 startdde:
-	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o startdde
+	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o startdde ${GOBUILD_OPTIONS}
 
 fix-xauthority-perm:
-	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o fix-xauthority-perm ${GOPKG_PREFIX}/cmd/fix-xauthority-perm
+	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o fix-xauthority-perm ${GOBUILD_OPTIONS} ${GOPKG_PREFIX}/cmd/fix-xauthority-perm
 
 out/locale/%/LC_MESSAGES/startdde.mo: misc/po/%.po
 	mkdir -p $(@D)

=== debian/changelog ===
startdde (5.9.32-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 16 May 2022 16:33:19 +0800

## startdde 5.9.44

=== debian/changelog ===
startdde (5.9.44-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 27 Jun 2022 10:41:58 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  dde-api-dev(>> 3.16.0+),
  debhelper-compat (= 11),
- golang-dlib-dev (>> 1.8.0+),
+ golang-github-linuxdeepin-go-lib-dev (>> 1.8.0+),
  golang-github-davecgh-go-spew-dev,
  golang-github-fsnotify-fsnotify-dev,
  golang-github-linuxdeepin-go-dbus-factory-dev (>> 0.6.0+),
@@ -15,6 +15,7 @@
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
  jq,
+ libsecret-1-dev,
  libxcursor-dev,
  libxfixes-dev,
  libxi-dev,
@@ -33,11 +34,16 @@
  deepin-turbo,
  deepin-turbo-booster,
  deepin-wm | deepin-metacity | dde-kwin,
+ deepin-proxy,
  gnome-keyring,
  gvfs-bin,
  libpam-gnome-keyring,
  procps,
  xinput,
+ dde-wloutput,
+ dde-wloutput-daemon,
+ dde-wayland-config,
+ dde-wldpms,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:

## startdde 5.9.47

=== debian/changelog ===
startdde (5.9.47-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 13 Aug 2022 14:06:36 +0800

startdde (3.0.7) stable; urgency=low

  * Autobuild Tag 3.0.7 

 -- 范朋程 <fanpengcheng@uniontech.com>  Tue, 2 Aug 2022 14:41:16 +0800

## startdde 5.9.50

=== debian/changelog ===
startdde (5.9.50-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Sat, 27 Aug 2022 10:41:03 +0800

## startdde 5.9.53

=== Makefile ===
--- 
+++ 
@@ -66,6 +66,8 @@
 	install -v -m0644 misc/profile.d/* ${DESTDIR}/etc/profile.d/
 	mkdir -p $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
 	install -v -m0644 misc/schemas/*.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/
+	mkdir -p $(DESTDIR)$(PREFIX)/share/dsg/configs/org.deepin.startdde/
+	install -v -m0644 misc/dsettings/*.json $(DESTDIR)$(PREFIX)/share/dsg/configs/org.deepin.startdde/
 
 	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
 	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale

=== debian/changelog ===
startdde (5.9.53-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 15 Sep 2022 13:16:57 +0800

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,6 @@
  deepin-wm | deepin-metacity | dde-kwin,
  deepin-proxy,
  gnome-keyring,
- gvfs-bin,
  libpam-gnome-keyring,
  procps,
  xinput,

## startdde 5.9.57

=== debian/changelog ===
startdde (5.9.57-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 14:07:55 +0800

=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,19 @@
 # -*- makefile -*-
 export GOPATH := /usr/share/gocode
 export GOCACHE=/tmp/gocache
+
 ifeq ($(DEB_BUILD_ARCH),sw_64)
 	export AUTO_LAUNCH_CHINESE=1
 endif
 
 ifeq ($(DEB_BUILD_ARCH),mips64el)
 	export AUTO_LAUNCH_CHINESE=1
+else
+    export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
 endif
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_shlibdeps:
 	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## startdde 5.9.70

=== debian/changelog ===
startdde (5.9.70-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 10:45:22 +0800

startdde (5.9.64) unstable; urgency=low

  * bump version to 5.9.64

 -- lichangze <lichangze@uniontech.com>  Wed, 11 Jan 2023 16:12:29 +0800

startdde (5.9.63) unstable; urgency=low

  * bump version to 5.9.63

 -- lichangze <lichangze@uniontech.com>  Fri, 6 Jan 2023 14:20:05 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  golang-go,
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
+ golang-github-jouyouyun-hardware-dev,
  jq,
  libsecret-1-dev,
  libxcursor-dev,
@@ -40,7 +41,7 @@
  procps,
  xinput,
  dde-wloutput,
- dde-wloutput-daemon,
+ dde-wloutput-daemon (>> 1.0.5),
  dde-wayland-config,
  dde-wldpms,
  ${misc:Depends},

## startdde 6.0.15

=== Makefile ===
PREFIX = /usr
GOPATH_DIR = gopath
GOPKG_PREFIX = github.com/linuxdeepin/startdde
GOBUILD = go build -v $(GO_BUILD_FLAGS)
export GOPATH= $(shell go env GOPATH)

LANGUAGES = $(basename $(notdir $(wildcard misc/po/*.po)))

all: build

prepare:
	@mkdir -p ${GOPATH_DIR}/src/$(dir ${GOPKG_PREFIX});
	@ln -snf ../../../.. ${GOPATH_DIR}/src/${GOPKG_PREFIX};

startdde:
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o startdde ${GOPKG_PREFIX}

fix-xauthority-perm:
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" ${GOBUILD} -o fix-xauthority-perm ${GOPKG_PREFIX}/cmd/fix-xauthority-perm

out/locale/%/LC_MESSAGES/startdde.mo: misc/po/%.po
	mkdir -p $(@D)
	msgfmt -o $@ $<

translate: $(addsuffix /LC_MESSAGES/startdde.mo, $(addprefix out/locale/, ${LANGUAGES}))

pot:
	deepin-update-pot misc/po/locale_config.ini

build: prepare startdde fix-xauthority-perm translate

test: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -v ${GOPKG_PREFIX}

test-coverage: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go test -cover -v ${GOPKG_PREFIX} | awk '$$1 ~ "(ok|\\?)" {print $$2","$$5}' | sed "s:${CURDIR}::g" | sed 's/files\]/0\.0%/g' > coverage.csv

print_gopath: prepare
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

install:
	install -Dm755 startdde ${DESTDIR}${PREFIX}/bin/startdde
	install -Dm755 fix-xauthority-perm ${DESTDIR}${PREFIX}/sbin/deepin-fix-xauthority-perm
	install -d -m755 ${DESTDIR}${PREFIX}/lib/deepin-daemon/
	ln -sfv ../../bin/startdde ${DESTDIR}${PREFIX}/lib/deepin-daemon/greeter-display-daemon
	install -Dm644 misc/lightdm.conf ${DESTDIR}${PREFIX}/share/lightdm/lightdm.conf.d/60-deepin.conf
	mkdir -p ${DESTDIR}${PREFIX}/share/startdde/
	install -v -m0644 misc/filter.conf ${DESTDIR}${PREFIX}/share/startdde/
	mkdir -p $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
	install -v -m0644 misc/schemas/*.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/

	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale

	mkdir -p $(DESTDIR)$(PREFIX)/lib/systemd/user/dde-session-initialized.target.wants/
	install -v -m0644 misc/systemd_task/dde-display-task-refresh-brightness.service $(DESTDIR)$(PREFIX)/lib/systemd/user/
	ln -s $(PREFIX)/lib/systemd/user/dde-display-task-refresh-brightness.service $(DESTDIR)$(PREFIX)/lib/systemd/user/dde-session-initialized.target.wants/dde-display-task-refresh-brightness.service


clean:
	rm -rf ${GOPATH_DIR}
	rm -f startdde
	rm -f fix-xauthority-perm

rebuild: clean build

check_code_quality: prepare
	env GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}" go vet ${GOPKG_PREFIX}

.PHONY: startdde

=== debian/changelog ===
startdde (6.0.15) unstable; urgency=medium

  * chore: fix archlinux build
  * feat: 添加检查是否支持色温的接口
  * feat: 支持插件设置护眼模式

 -- Wang Fei <wangfei@deepin.org>  Mon, 08 Jul 2024 13:37:56 +0800

startdde (6.0.14) unstable; urgency=medium

  * fix: never set cursorSize for deepin-kwin

 -- rewine <luhongxu@deepin.org>  Thu, 07 Mar 2024 10:47:55 +0800

startdde (6.0.13) unstable; urgency=medium

  fix: export proxy env error
  fix: dde-display-service not started

 -- dengbo <dengbo@deepin.org>  Fri, 05 Jan 2024 13:57:35 +0800

startdde (6.0.12) unstable; urgency=medium

  * Not set plymouth when setting scale

 -- chenhongtao <chenhongtao@deepin.org>  Mon, 25 Dec 2023 10:42:34 +0800

startdde (6.0.11) unstable; urgency=medium

  * remove env update script to dde-session
  * clean code

 -- dengbo <dengbo@deepin.org>  Wed, 22 Nov 2023 15:57:50 +0800

startdde (6.0.10) unstable; urgency=medium

  * Update obs workflow configuration
  * Add multiple qt wayland backends

 -- Wang Zichong <wangzichong@deepin.org>  Tue, 05 Sep 2023 14:26:00 +0800

startdde (6.0.9) unstable; urgency=medium

  * chore: remove gvfs-bin dependency from control file
  * feat: search config file in xdg dir
  * feat: aviod use hardcode path
  * fix: systemd target service link to temporary build dir

 -- dengbo <dengbo@deepin.org>  Tue, 22 Aug 2023 10:53:50 +0800

startdde (6.0.8) unstable; urgency=medium

  * fix: 关机音效存在杂音

 -- dengbo <dengbo@uniontech.com>  Fri, 12 May 2023 18:33:25 +0800

startdde (6.0.7) unstable; urgency=medium

  * chore: remove unused file
  * feat: 允许用户通过 force-scale-factor.ini 强制设置全局缩放
  * chore: remove dde-wayland-config
  * fix: unset QT_LOGGING_RULES on deepin

 -- dengbo <dengbo@uniontech.com>  Thu, 11 May 2023 14:48:20 +0800

startdde (6.0.6) unstable; urgency=medium

  * chore: add gomod
  * feat: support qt wayland integration plugin
  * chore: remove deepin-turbo depend
  * fix: 系统升级成功消息重复弹出

 -- dengbo <dengbo@uniontech.com>  Sat, 6 May 2023 10:33:55 +0800

startdde (6.0.5) unstable; urgency=medium

  * remove dde-kwin runtime dependencies
  * remove dde-api-proxy from dependencies list

 -- zsien <quezhiyong@uniontech.com>  Tue, 28 Mar 2023 15:28:48 +0800

startdde (6.0.4) unstable; urgency=medium

  [ TagBuilder ]
  * chore: delete unused(Task: 230459)(Influence: null)
  * chore: delete iowait(Task: 230459)(Influence: null)
  * chore: delete autostop/wm/proxychains/xcursor(Task: 230459)(Influence: null)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 29 Dec 2022 18:38:22 +0800

startdde (6.0.3.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 迁移sessionManager服务接口(Task: 203055)(Influence: 关机注销登录重启等功能)
  * feat: 迁移WMSwitcher服务接口(Task: 203055)(Influence: 特效的开启关闭)
  * feat: 迁移LoginReminder功能(Task: 203055)(Influence: 登录后弹窗通知登录信息，例如密码有效天数)
  * chore: 删除已经迁移的功能(Task: 203055)(Influence: 无)
  * chore: 优化避免产生僵尸进程(Task: 219131)(Influence: 优化)
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)
  * chore: 添加依赖，预装DDE接口代理服务(Task: 207483)(Influence: 预装DDE接口代理服务)
  * fix: 笔记本亮度无法调节问题修复(Task: 225039)(Influence: 笔记本亮度设置)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 20:31:49 +0800

startdde (6.0.2) unstable; urgency=medium

  [ Deepin Packages Builder ]
  * chore: 添加重构的个性化服务依赖(Task: 118089)(Influence: 无)
  * feat: 兼容V20接口(Task: 169315)(Influence: 无)
  * fix: 当主屏发生变化后，及时更新到xsetting和窗管(Bug: 149111)(Influence: 当主屏发生变化后，及时更新到xsettings和窗管)
  * feat: 去掉autostart中的dde-polkit-agent(Task: 184775)(Influence: 服务自启方式)
  * fix: 修复系统语言切换失败问题(Bug: 146727)(Influence: 控制中心-键盘和语言-系统语言切换)
  * chore: 触发编译(Task: 160471)(Influence: 无)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 10:59:56 +0800

startdde (6.0.1) unstable; urgency=medium

  [ TagBuilder ]
  * fix(display): 获取sessionPath方式错误，阻塞了display设置(Bug: 141713)(Influence: display)

 -- caixiangrong <caixiangrong@uniontech.com>  Mon, 25 Jul 2022 11:47:42 +0800

startdde (6.0.0.0) unstable; urgency=low

  * release 6.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:13:13 +0800

## startdde 6.0.19

=== debian/changelog ===
startdde (6.0.19) unstable; urgency=medium

  * chore: rename "Qt/ActiveColorDark" to "Qt/DarkActiveColor"

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 13 Nov 2024 14:58:37 +0800

startdde (6.0.18) unstable; urgency=medium

  * No changes in this release. Version bump for internal reasons.

 -- Zhang Kun <zhangkun2@uniontech.com>  Wed, 25 Sep 2024 16:24:48 +0800

startdde (6.0.17) unstable; urgency=medium

  * chore: 紧凑模式需要设置DTK/SizeMode

 -- fuleyi <fuleyi@uniontech.com>  Thu, 12 Sep 2024 13:29:25 +0800

startdde (6.0.16) unstable; urgency=medium

  * chore: 解决色温没有自动调节的问题 (#262) 

 -- fuleyi <fuleyi@uniontech.com>  Wed, 28 Aug 2024 17:29:52 +0800

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  golang-go,
  golang-golang-x-xerrors-dev,
  golang-gopkg-check.v1-dev,
- golang-github-jouyouyun-hardware-dev,
  jq,
  libsecret-1-dev,
  libxcursor-dev,
@@ -32,18 +31,16 @@
  dde-api,
  dde-daemon (>> 3.24.1+),
  deepin-desktop-schemas (>> 5.2.0+),
- deepin-turbo,
- deepin-turbo-booster,
- deepin-wm | deepin-metacity | dde-kwin,
  deepin-proxy,
  gnome-keyring,
  libpam-gnome-keyring,
  procps,
  xinput,
  dde-wloutput,
- dde-wloutput-daemon (>> 1.0.5),
- dde-wayland-config,
+ dde-wloutput-daemon,
  dde-wldpms,
+ redshift,
+ dde-appearance,
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:

## startdde 6.1.6

=== Makefile ===
--- 
+++ 
@@ -49,6 +49,9 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas
 	install -v -m0644 misc/schemas/*.xml $(DESTDIR)$(PREFIX)/share/glib-2.0/schemas/
 
+	mkdir -p $(DESTDIR)$(PREFIX)/share/dsg/configs/org.deepin.startdde/
+	install -v -m0644 misc/dsettings/*.json $(DESTDIR)$(PREFIX)/share/dsg/configs/org.deepin.startdde/
+
 	mkdir -pv ${DESTDIR}${PREFIX}/share/locale
 	cp -r out/locale/* ${DESTDIR}${PREFIX}/share/locale

=== debian/changelog ===
startdde (6.1.6) unstable; urgency=medium

  * feat: 去掉qt5相关依赖

 -- fuleyi <fuleyi@uniontech.com>  Thu, 27 Mar 2025 14:31:55 +0800

startdde (6.1.5) unstable; urgency=medium

  * feat: 色温调节支持用户自定义 (#287)

 -- ChengqiE <echengqi@uniontech.com>  Thu, 06 Mar 2025 19:32:58 +0800

startdde (6.1.4) unstable; urgency=medium

  * feat: 色温调节支持用户自定义 (#285)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 05 Mar 2025 17:32:58 +0800

startdde (6.1.3) unstable; urgency=medium

  * fix:修复首次外接双屏，默认应该为扩展模式 (#283)

 -- Chengqi E <echengqi@uniontech.com>  Tue, 27 Feb 2025 16:33:38 +0800

startdde (6.1.2) unstable; urgency=medium

  * fix: 修复第一次安装系统，高分辨屏幕缩放错误 (#281)

 -- Chengqi E <echengqi@uniontech.com>  Tue, 14 Jan 2025 16:33:38 +0800

startdde (6.1.1) unstable; urgency=medium

  * feat: 将xsettings的gsetting配置迁移到dconfig中 (#277)

 -- fuleyi <fuleyi@uniontech.com>  Wed, 25 Dec 2024 10:20:38 +0800

startdde (6.1.0) unstable; urgency=medium

  * chore: chore: rename "Qt/ActiveColorDark" to "Qt/DarkActiveColor"
  * chore: add the QtActiveColorDark setting

 -- Wang Fei <wangfei@deepin.org>  Fri, 06 Dec 2024 10:43:21 +0800

=== debian/control ===
--- 
+++ 
@@ -36,15 +36,10 @@
  libpam-gnome-keyring,
  procps,
  xinput,
- dde-wloutput,
- dde-wloutput-daemon,
- dde-wldpms,
  redshift,
  dde-appearance,
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends:
- dde-qt5integration,
 Conflicts:
  deepin-session,
  deepin-wm-switcher,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export GOPATH := /usr/share/gocode
export GOCACHE=/tmp/gocache
export GO111MODULE = off

ifeq ($(DEB_BUILD_ARCH),sw_64)
	export AUTO_LAUNCH_CHINESE=1
endif

ifeq ($(DEB_BUILD_ARCH),mips64el)
	export AUTO_LAUNCH_CHINESE=1
endif

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

ifeq ($(DEB_BUILD_ARCH),sw_64)
override_dh_strip:
	true
override_dh_auto_test:
	true
endif
